%define major	4
%define libname %mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		jansson
Version:	2.7
Release:	%mkrel 4
Summary:	C library for encoding, decoding and manipulating JSON data
Group:		Development/C
License:	MIT
URL:		http://www.digip.org/jansson
Source0:	http://www.digip.org/%{name}/releases/%{name}-%{version}.tar.bz2
Patch0:		jansson-2.7-CVE-2016-4425.patch

BuildRequires: python-sphinx

%description
Jansson is a C library for encoding, decoding and manipulating JSON
data. Its main features and design principles are:

- Simple and intuitive API and data model
- Comprehensive documentation
- No dependencies on other libraries
- Full Unicode support (UTF-8)
- Extensive test suite

%package -n %{libname}
Summary:	C library for encoding, decoding and manipulating JSON data
Group:		System/Libraries
Obsoletes:	%{name} < 2.7-4

%description -n %{libname}
Small library for parsing and writing JSON documents.

%package -n %{devname}
Summary:	Header files for jansson
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 2.7-4

%description -n %{devname}
Header files for developing applications making use of jansson.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -vfi
%configure2_5x --disable-static
%make_build

make html

%check
make check

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%license LICENSE
%doc CHANGES
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%doc doc/_build/html/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h


%changelog
* Fri Aug 26 2016 wally <wally> 2.7-4.mga6
+ Revision: 1049089
- fix libification
- update src pkg description

* Wed May 18 2016 luigiwalser <luigiwalser> 2.7-3.mga6
+ Revision: 1016794
- add patch from debian to fix CVE-2016-4425

* Thu Feb 11 2016 umeabot <umeabot> 2.7-2.mga6
+ Revision: 954765
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 sander85 <sander85> 2.7-1.mga6
+ Revision: 858649
- New version: 2.7

* Tue Jul 28 2015 sander85 <sander85> 2.6-1.mga6
+ Revision: 858648
- New version: 2.6

* Wed Oct 15 2014 umeabot <umeabot> 2.4-4.mga5
+ Revision: 743379
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4-3.mga5
+ Revision: 680627
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.4-2.mga4
+ Revision: 532968
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 2.4-1.mga4
+ Revision: 470459
- 2.4
- imported package jansson


* Sat May 05 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.3.1-1
+ Revision: 796627
- version update 2.3.1

* Sat Nov 05 2011 Alexander Khrukin <akhrukin@mandriva.org> 2.2.1-1
+ Revision: 721550
- imported package jansson

